Subject: [PATCH v2 1/9] ARM: centralize common multi-platform kconfig options

From: [email-masked] (Arnd Bergmann)
Date: Fri, 28 Feb 2014 21:15:55 +0100

On Friday 28 February 2014, Kevin Hilman wrote:
> On Tue, Feb 11, 2014 at 1:11 PM, Rob Herring <[email-masked]> wrote:
> > From: Rob Herring <[email-masked]>
> >
> > Multi-platform requires various kconfig options to be selected, so
> > platforms don't need to select them individually.
> >
> > Signed-off-by: Rob Herring <[email-masked]>
> > Cc: Linus Walleij <[email-masked]>
> > Cc: Russell King <[email-masked]>
> 
> FYI... this recently hit arm-soc/for-next and according to my bisect,
> is the cause for two new boot failures[1] for sunxi_defconfig on
> cubieboard and cubie2.  The previous build/boot passed on both
> boards[2].   Interestingly, both boards boot fine with
> multi_v7_defconfig though.
> 
> There's zero console output on the boards, and I haven't dug further
> since I still have to pack for a trip tomorrow.
> 
> Kevin
> 
> [1] http://lists.linaro.org/pipermail/kernel-build-reports/2014-February/002615.html
> [2] http://lists.linaro.org/pipermail/kernel-build-reports/2014-February/002613.html

I suspect we want this one:

diff --git a/arch/arm/Kconfig b/arch/arm/Kconfig
index 7d1588e..cf35d18 100644
--- a/arch/arm/Kconfig
+++ b/arch/arm/Kconfig
@@ -304,6 +304,7 @@ config ARCH_MULTIPLATFORM
 	bool "Allow multiple platforms to be selected"
 	select ARCH_WANT_OPTIONAL_GPIOLIB
 	select AUTO_ZRELADDR
+	select CLKSRC_OF
 	select COMMON_CLK
 	select GENERIC_CLOCKEVENTS
 	select MULTI_IRQ_HANDLER